Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.property
Class ToManyListProperty

    java.lang.Object
      org.objectstyle.cayenne.property.SimpleProperty
          org.objectstyle.cayenne.property.AbstractSingleObjectArcProperty
              org.objectstyle.cayenne.property.AbstractCollectionProperty
                  org.objectstyle.cayenne.property.ListProperty
                      org.objectstyle.cayenne.property.ToManyListProperty

All Implemented Interfaces:
  java.io.Serializable, ArcProperty, CollectionProperty, Property, PropertyAccessor, SingleObjectArcProperty

    public class ToManyListProperty

extends ListProperty

A list property that is intended to work with `ToManyList`.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.objectstyle.cayenne.property.AbstractSingleObjectArcProperty
`complimentaryReverseArcName, targetDescriptor`

Fields inherited from class org.objectstyle.cayenne.property.SimpleProperty
`accessor, owner`

Constructor Summary
`ToManyListProperty(ClassDescriptor owner, ClassDescriptor targetDescriptor, PropertyAccessor accessor, java.lang.String reverseName)`

Method Summary
`protected ValueHolder` | `createCollectionValueHolder(java.lang.Object object)` Creates a List for an object.

Methods inherited from class org.objectstyle.cayenne.property.ListProperty
`isFault`

Methods inherited from class org.objectstyle.cayenne.property.AbstractCollectionProperty
`addTarget, ensureCollectionValueHolderSet, injectValueHolder, readProperty, removeTarget, shallowMerge, visit, writePropertyDirectly`

Methods inherited from class org.objectstyle.cayenne.property.AbstractSingleObjectArcProperty
`getComplimentaryReverseArc, getTargetDescriptor, setReverse, setTarget`

Methods inherited from class org.objectstyle.cayenne.property.SimpleProperty
`getName, readPropertyDirectly, writeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.objectstyle.cayenne.property.ArcProperty
`getComplimentaryReverseArc, getTargetDescriptor`

Methods inherited from interface org.objectstyle.cayenne.property.Property
`writeProperty`

Methods inherited from interface org.objectstyle.cayenne.property.PropertyAccessor
`getName, readPropertyDirectly`

Constructor Detail

### ToManyListProperty

    public ToManyListProperty(ClassDescriptor owner,
                              ClassDescriptor targetDescriptor,
                              PropertyAccessor accessor,
                              java.lang.String reverseName)

Method Detail

### createCollectionValueHolder

    protected ValueHolder createCollectionValueHolder(java.lang.Object object)
                                               throws PropertyAccessException

  Description copied from class: `ListProperty`
  Creates a List for an object. Expects an object to be an instance of Persistent.

  Overrides:
    `createCollectionValueHolder` in class `ListProperty`
  Throws:
    `PropertyAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.